<?php

namespace App\Http\Controllers;

use App\Account;
use App\Cheque;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ChequeController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function Cheques(){
        $cheque=Cheque::OrderBy('id','desc')->get();
        return view('Operation.cheque',compact('cheque'));
    }

    public function addChequeOperation(Request $request){
        $add=new Cheque();
        $add->montant=$request->input('montant');
        $add->beneficiaire=strtoupper($request->input('beneficiaire'));
        $add->etat=0;
        $n=rand(1000,9999999);
        $m=rand(100000,9999999);
        $add->numero="$n-$m";
        $n1=$request->input('n1');
        $n2=$request->input('n2');
        $n="$n1-$n2";
        //vérfication compte
        $compte=Account::where('numeroCompte','=',$n)->first();
        if($compte){
            $add->idCompte=$compte->id;
            $add->idBank=$compte->idBank;
            $add->idCharge=Auth::user()->getAuthIdentifier();
            //vérification du solde
            if($compte->solde>$add->montant){
                $add->save();
                return back()->with("info","Opération du chèque reussit avec succès.");
            }else{
                return back()->with("info","Désolé, le solde du client ne suffit pas.");
            }
        }else{
            return back()->with("info","Désolé, ce compte n'existe pas.");
        }
    }

    public function boucleChequeTransaction($id){
        $add=Cheque::find(decrypt($id));
        $Client=Account::find($add->idCompte);
        if($Client->solde>$add->montant){
            $add->etat=1;
            $add->save();
            $Client->solde=$Client->solde-$add->montant;
            $Client->save();
            return back()->with("info","Opération bouclé avec succès.");
        }else{
            return back()->with("info","Désolé le solde du client est insuffisant.");
        }
    }

    public function SupprimerChequeTransaction($id){
        Cheque::destroy(decrypt($id));
        return back()->with("info","Transaction du chèque annulé avec succès.");
    }

    public function UpdateChequeOperation($id,Request $request){
           $add=Cheque::find(decrypt($id));
           $add->montant=$request->input('montant');
           $add->beneficiaire=$request->input('beneficiaire');
           //vérification du solde
           $Client=Account::find($add->idCompte);
           if($Client->solde>$add->montant){
               $add->save();
               return back()->with("info","Opération reussit avec succès.");
           }else{
               return back()->with("info","Désolé le solde du client est insuffisant.");
           }
    }
}
