<?php

namespace App\Http\Controllers;

use App\Poste;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
    //
    public function Postes(){
        $poste=Poste::OrderBy('nomPoste','asc')->get();
        return view('Users.poste',compact('poste'));
    }

    public function AddPoste(Request $request){
        $add=new Poste();
        $add->nomPoste=strtoupper($request->input('poste'));
        $add->descriptionPoste=$request->input('description');
        //vérfication du doublon
        $v=Poste::where('nomPoste','=',$add->nomPoste)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, le poste $add->nomPoste existe déjà");
        }else{
            $add->save();
            return back()->with("info","Le poste $add->nomPoste a été ajouté avec succès.");
        }
    }

    public function UpdatePoste($id, Request $request){
        $add=Poste::find(decrypt($id));
        $add->nomPoste=strtoupper($request->input('poste'));
        $add->descriptionPoste=$request->input('description');
        //vérfication du doublon
        $v=Poste::where('nomPoste','=',$add->nomPoste)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, le poste $add->nomPoste existe déjà");
        }else{
            $add->save();
            return back()->with("info","Le poste $add->nomPoste a été modifié avec succès.");
        }
    }

    public function deletePoste($id){
        Poste::destroy(decrypt($id));
        return back()->with("info","Le poste a été supprimé avec succès.");
    }

    public function Users(){
        $Poste=Poste::OrderBy('nomPoste','asc')->get();
        $User=User::OrderBy('nomClient','asc')->get();
        return view('Users.user',compact('Poste','User'));
    }

    public function AddUser(Request $request){
        $add=new User();
        $add->cibClient=0;
        $add->nomClient=strtoupper($request->input('nom'));
        $add->prenomClient=$request->input('prenom');
        $add->adresseClient=$request->input('adresse');
        $add->contactClient=$request->input('contact');
        $add->statusClient=1;
        $add->codePostalClient=$request->input('postale');;
        $add->paysClient=strtoupper($request->input('pays'));
        $add->villeClient=$request->input('ville');
        $add->email=$request->input('email');
        $add->password=Hash::make($request->input('pass'));
        $add->poste=$request->input('poste');
        $add->banque=0;
        //vérification du doublon
        $nom=User::where('nomClient','=',$add->nomClient)
            ->where('prenomClient','=',$add->prenomClient)
            ->get();
        $contact=User::where('contactClient','=',$add->contactClient)->get();
        $email=User::where('email','=',$add->email)->get();
        if(count($nom)>0){
            return back()->with("info","Désolé, le nom $add->nomClient $add->prenomClient existe déjà dans la base.");
        }else{
            if(count($contact)>0){
                return back()->with("info","Désolé, le contact $add->contactClient existe déjà dans la base.");
            }else{
                if(count($email)>0){
                    return back()->with("info","Désolé, l'e-mail $add->email existe déjà dans la base.");
                }else{
                    $add->save();
                    return back()->with("info","L'Utilisateur $add->nomClient $add->prenomClient a été ajouté avec succès.");
                }
            }
        }
    }

    public function deleteUser($id){
        User::destroy(decrypt($id));
        return back()->with("info","Utilisateur suprimé avec succès.");
    }

    public function changePoste($id,Request $request){
        $user=User::find(decrypt($id));
        $user->poste=$request->input('poste');
        $user->statusClient=$request->input('status');
        $user->save();
        return back()->with("info","Modification portée avec succès pour  $user->nomClient $user->prenomClient.");
    }

    public function Dashboard(){
        return view('Dash.index');
    }
}
