<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('cibClient')->nullable();
            $table->string('nomClient');
            $table->string('prenomClient');
            $table->string('adresseClient');
            $table->string('contactClient');
            $table->string('societeClient')->nullable();
            $table->string('codePostalClient')->nullable();
            $table->string('statusClient');
            $table->string('paysClient');
            $table->string('villeClient');
            $table->string('email',40)->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->string('poste');
            $table->string('banque');
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
