@extends('Dash.app')
@section('title')
    Postes
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Poste
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle du Poste</th>
                <th>Description</th>
                <th></th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 @foreach($poste as $i=>$p)
                     <tr>
                         <td>{{$i+1}}</td>
                         <td>{{$p->nomPoste}}</td>
                         <td>{{$p->descriptionPoste}}</td>
                         <td></td>
                         <td class="text-center">
                             <a data-toggle="modal" data-target="#exampleModal{{$p->id}}" title="Modifier {{$p->nomPoste}}" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                             <a onclick="confirm('Voulez-vous supprimé ce poste ?')" href="{{route('deletePoste',Crypt::encrypt($p->id))}}" data-toggle="tooltip" title="Supprimer {{$p->nomPoste}}" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                         </td>
                         <div class="modal fade" id="exampleModal{{$p->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du poste {{$p->nomPoste}}</h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="{{route('UpdatePoste',Crypt::encrypt($p->id))}}">
                                             @csrf
                                             <label>Libelle du poste</label>
                                             <input type="text" value="{{$p->nomPoste}}" class="form-control" required name="poste"><br>
                                             <label>Description du poste</label>
                                             <textarea class="form-control" required name="description">{{$p->descriptionPoste}}</textarea>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un poste</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddPoste')}}">
                        @csrf
                        <label>Libelle du poste</label>
                        <input type="text" class="form-control" required name="poste"><br>
                        <label>Description du poste</label>
                        <textarea class="form-control" required name="description"></textarea>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection