@extends('Dash.app')
@section('title')
    Utilisateurs
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Utilisateur
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>Poste</th>
                <th>E-mail</th>
                <th>Contact</th>
                <th>Adresse</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                   @foreach($User as $i=>$u)
                      <tr>
                          <td>{{$i+1}}</td>
                          <td>{{$u->nomClient}} {{$u->prenomClient}}</td>
                          <td>
                               @php
                                  $post=\App\Poste::find($u->poste);
                               @endphp
                              @if($post)
                                 {{$post->nomPoste}}
                              @else
                                 Poste inconnu
                              @endif
                          </td>
                          <td>{{$u->email}}</td>
                          <td>{{$u->contactClient}}</td>
                          <td>{{$u->adresseClient}}</td>
                          <td>
                              @if($u->statusClient==0) Bloqué @else Actif @endif
                          </td>
                          <td>
                              <div class="btn-group dropup text-left">
                                  <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                  <ul class="dropdown-menu">
                                      <li><a data-toggle="modal" data-target="#exampleModal{{$i}}">Modifier</a></li>
                                      <li><a href="{{route('deleteUser',Crypt::encrypt($u->id))}}">Supprimer</a></li>
                                  </ul>
                              </div>
                          </td>
                          <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                      <div class="modal-header" style="background-color: #1b4b72;color:white">
                                          <h5 class="modal-title" id="exampleModalLabel">Changement du poste à {{$u->nomClient}} {{$u->prenomClient}}</h5>
                                      </div>
                                      <div class="modal-body">
                                          <form method="post" action="{{route('changePoste',Crypt::encrypt($u->id))}}">
                                              @csrf
                                              <label>Status compte </label>
                                              <select class="form-control" name="status">
                                                  <option value="{{$u->statusClient}}">Cliquez pour changer le status @if($u->statusClient==0) Bloqué @else Actif @endif</option>
                                                  <option value="1">Débloqué</option>
                                                  <option value="0">Bloqué</option>
                                              </select><br>
                                                      <label>Poste</label>
                                                      <select class="form-control" name="poste" required>
                                                          <option value="{{$u->poste}}">Cliquez</option>
                                                          @php
                                                              $Postee=\App\Poste::OrderBy('nomPoste','asc')->get();
                                                          @endphp
                                                          @foreach($Postee as $pp)
                                                              <option value="{{$pp->id}}">{{$pp->nomPoste}}</option>
                                                          @endforeach
                                                      </select><br>
                                                      <div class="modal-footer">
                                                          <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                          <input type="submit" class="btn btn-primary" value="Valider">
                                                      </div>
                                          </form>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </tr>
                   @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un utilisateur</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddUser')}}">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <label>Nom du client</label>
                                <input type="text" class="form-control" required name="nom"><br>
                                <label>Prenom du client</label>
                                <input type="text" class="form-control" required name="prenom"><br>
                                <label>Adresse</label>
                                <input type="text" class="form-control" required name="adresse"><br>
                                <label>Contact</label>
                                <input type="text" class="form-control" required name="contact"><br>
                                <label>Code postal du client</label>
                                <input type="text" class="form-control" placeholder="Optionnel" name="postale"><br>
                            </div>
                            <div class="col-md-6">
                                <label>Pays résident</label>
                                <input type="text" class="form-control" required name="pays"><br>
                                <label>Ville</label>
                                <input type="text" class="form-control" required name="ville"><br>
                                <label>E-mail</label>
                                <input type="email" class="form-control" required name="email"><br>
                                <label>Poste</label>
                                <select class="form-control" name="poste" required>
                                    <option value="">Cliquez</option>
                                    @foreach($Poste as $pp)
                                        <option value="{{$pp->id}}">{{$pp->nomPoste}}</option>
                                    @endforeach
                                </select><br>
                                <label>Mot de passe</label>
                                <input type="text" value="1234" class="form-control" required name="pass">
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                    <input type="submit" class="btn btn-primary" value="Valider">
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection