<?php

namespace App\Http\Controllers;

use App\Commande;
use App\Devise;
use App\Fournisseur;
use App\Typepaiement;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Monarobase\CountryList\CountryListFacade;

class FournisseurController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function Fournisseur(){
        $Client=User::OrderBy('nomClient','asc')
            ->where('poste','=',0)
            ->get();
            $countries =  CountryListFacade::getList('en');
        return view('Produit.fournisseur',compact('Client','countries'));
    }

    public function addFournisseur($id,Request $request){
        $add=new Fournisseur();
        $add->nomFourniseur=$request->input('fournisseur');
        $add->adresseFourniseur=$request->input('adresse');
        $add->idCompte=decrypt($id);
        //vérification du doublon
        $v=Fournisseur::where('nomFourniseur','=',$add->nomFourniseur)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, le nom du fournisseur $add->nomFourniseur existe déjà.");
        }else{
            $add->save();
            return view('Produit.com')->with("info","Le fournisseur $add->nomFourniseur a été ajouté avec succès.");
        }
    }

    public function updateFournisseur($id,Request $request){
        $add=Fournisseur::find(decrypt($id));
        $add->nomFourniseur=$request->input('fournisseur');
        $add->adresseFourniseur=$request->input('adresse');
        $add->idCompte=decrypt($id);
        //vérification du doublon
        $v=Fournisseur::where('nomFourniseur','=',$add->nomFourniseur)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, le nom du fournisseur $add->nomFourniseur existe déjà.");
        }else{
            $add->save();
            return back()->with("info","Le fournisseur $add->nomFourniseur a été ajouté avec succès.");
        }
    }

    public function ListeFournisseurs(){
        return view('Produit.com');
    }

    public function deleteFournisseur($id){
        Fournisseur::destroy(decrypt($id));
        return back()->with("info","Fournisseur supprimé avec succès.");
    }

    public function TypePaiements(){
        $devise=Devise::OrderBy('libelleDevise','asc')->get();
        $type=Typepaiement::OrderBy('libellePaiement','asc')->get();
        return view('Produit.typePaiement',compact('type','devise'));
    }

    public function AddTypePaiement(Request $request){
        $add=new Typepaiement();
        $add->libellePaiement=$request->input('libelle');
        $add->frais=$request->input('frais');
        $add->url=$request->input('description');
        $add->devise=$request->input('devise');
        //vérification
        $v=Typepaiement::where('libellePaiement','=',$add->libellePaiement)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, ce type de paiement $add->libellePaiement est déjà enrégistré.");
        }else{
           $add->save();
            return back()->with("info","Le type de paiement $add->libellePaiement a été ajouté avec succès.");
        }
    }

    public function updateTypePaiement($id,Request $request){
        $add=Typepaiement::find(decrypt($id));
        $add->libellePaiement=$request->input('libelle');
        $add->frais=$request->input('frais');
        $add->url=$request->input('description');
        $add->devise=$request->input('devise');
        //vérification
        $v=Typepaiement::where('libellePaiement','=',$add->libellePaiement)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, ce type de paiement $add->libellePaiement est déjà enrégistré.");
        }else{
            $add->save();
            return back()->with("info","Le type de paiement $add->libellePaiement a été modifié avec succès.");
        }
    }

    public function deleteTypeOperation($id){
        Typepaiement::destroy(decrypt($id));
        return back()->with("info","Le type de paiement a été supprimé avec succès.");
    }

    public function CancelAllCommande($id){
        $commande=Commande::where('idClient','=',decrypt($id))
            ->where('etat','=',0)
            ->get();
        foreach ($commande as $item) {
            Commande::destroy($item->id);
        }
        return redirect('Commandes')->with("info","Toute les commandes annulées avec succès.");
    }
}
