@extends('Dash.app')
@section('title')
    Compte
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Créer un compte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>Solde</th>
                <th>Numéro du compte</th>
                <th>Type du compte</th>
                <th>Banque</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 @foreach($account as $i=>$a)
                     <tr>
                         <td>{{$i+1}}</td>
                         <td>
                             @php
                               $client=\App\User::find($a->idClient);
                             @endphp
                             @if($client)
                                 {{$client->nomClient}} {{$client->prenomClient}}
                             @else
                             inconnu
                              @endif
                         </td>
                         <td>{{$a->solde}} XOF</td>
                         <td>{{$a->numeroCompte}}</td>
                         <td>
                             @php
                                $Type=\App\Typeaccount::find($a->idTypeAccount);
                             @endphp
                             @if($Type) {{$Type->typeCompte}} @else inconnu @endif
                         </td>
                         <td>
                             @php
                               $banque=\App\Banque::find($a->idBank);
                             @endphp
                             @if($banque)
                                 {{$banque->nomBanque}}
                             @else
                                inconnu
                             @endif
                         </td>
                         <td>
                             @if($a->etat==0) Bloqué @else Activé @endif
                         </td>
                         <td>
                             <div class="btn-group dropup text-left">
                                 <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                 <ul class="dropdown-menu">
                                     <li><a data-toggle="modal" data-target="#exampleModal{{$i}}">Modifier</a></li>
                                     <li><a onclick="confirm('Voulez-vous supprimé ce compte ?')" href="{{route('deleteAccount',Crypt::encrypt($a->id))}}">Supprimer</a></li>
                                 </ul>
                             </div>
                         </td>
                         <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Modification du type de compte de @if($client)
                                                 {{$client->nomClient}} {{$client->prenomClient}}
                                             @else
                                                 inconnu
                                             @endif</h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="{{route('ChangeTypeAccount',Crypt::encrypt($a->id))}}">
                                             @csrf
                                             <label>Type de compte</label>
                                             <select class="form-control" name="type" required>
                                                 <option value="{{$a->idTypeAccount}}">Cliquez pour changer @if($Type) {{$Type->typeCompte}} @else inconnu @endif</option>
                                                 @foreach($type as $t)
                                                     <option value="{{$t->id}}">{{$t->typeCompte}}</option>
                                                 @endforeach
                                             </select><br>
                                             <label>Etat du compte</label>
                                             <select class="form-control" required name="etat">
                                                 <option value="{{$a->etat}}">Cliquez pour changer @if($a->etat==0) Bloqué @else Activé @endif</option>
                                                 <option value="1">Activer</option>
                                                 <option value="0">Bloquer</option>
                                             </select><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un client </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddAccount')}}">
                        @csrf
                                <label>Type de compte</label>
                              <select class="form-control" name="type" required>
                                  <option value="">Cliquez</option>
                                  @foreach($type as $t)
                                  <option value="{{$t->id}}">{{$t->typeCompte}}</option>
                                  @endforeach
                              </select><br>
                                <label>Numéro du compte</label>
                                <input type="text" class="form-control" value="{{rand(100,9856)}}-{{rand(1000,999856)}}" readonly name="numeroCompte"><br>
                                <label>E-mail du client</label>
                                <input type="email" class="form-control" required name="email"><br>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                    <input type="submit" class="btn btn-primary" value="Valider">
                                </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection