@extends('Dash.app')
@section('title')
  Opérations avec Carte SEPA
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une opération
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">Code</th>
                <th>Client</th>
                <th>Numero carte</th>
                <th>Type opération</th>
                <th>Montant</th>
                <th>Chargé</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                @foreach($operation as $i=>$op)
                    <tr>
                        <td>{{$op->CodeOperation}}</td>
                        <td>
                            @php
                               $Carte=\App\Carte::find($op->carte);
                               $Client=\App\User::find($Carte->idCompte);
                            @endphp
                            {{$Client->nomClient}} {{$Client->prenomClient}}
                        </td>
                        <td>{{$Carte->numeroCarte}}</td>
                        <td>{{$op->operation}}</td>
                        <td>{{$op->montant}} XOF</td>
                        <td>
                            @php
                              $User=\App\User::find($op->agent);
                            @endphp
                            @if($User) {{$User->nomClient}} {{$User->prenomClient}} @else inconnu @endif
                        </td>
                        <td>
                            @if($op->etat==0) En-entente @else Bouclé @endif
                        </td>
                        <td>
                            @if($op->etat==0)
                            <div class="btn-group dropup text-left">
                                <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{route('supprimerOperationCarte',Crypt::encrypt($op->id))}}">Annulé</a></li>
                                    <li><a href="{{route('BoucleOperationCarte',Crypt::encrypt($op->id))}}">Bouclé</a></li>
                                </ul>
                            </div>
                            @endif
                        </td>
                    </tr>
                @endforeach
           </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une opération SEPA </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('addOperationCarte')}}">
                        @csrf
                        <label>Numero de la carte</label>
                        <div class="row">
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n1">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n2">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n3">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n4">
                            </div>
                        </div><br>
                        <label>Montant</label>
                        <input type="number" min="0" class="form-control" required name="montant"><br>
                        <label>Type d'opération</label>
                        <select class="form-control" required name="operation">
                              <option value="">Cliquez pour changer</option>
                              <option value="retrait">Retrait</option>
                              <option value="depot">Dépôt</option>
                        </select><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection