@extends('Dash.app')
@section('title')
    Catégorie du produit
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une Catégorie du produit
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle devise</th>
                <th></th>
                <th>Représentation devise</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                   @foreach($Categorie as $i=>$c)
                       <tr>
                           <td>{{$i+1}}</td>
                           <td>{{$c->libelleCategorie}}</td>
                           <td></td>
                           <td>{{$c->description}}</td>
                           <td class="text-center">
                               <a data-toggle="modal" data-target="#exampleModal{{$i}}" title="Modifier {{$c->libelleCategorie}}" class="btn btn-effect-ripple btn-sm btn-success"><i class="fa fa-pencil"></i></a>
                               <a onclick="return confirm('Voulez-vous supprimer cette categorie ?')" href="{{route('deleteCategorie',Crypt::encrypt($c->id))}}" data-toggle="tooltip" title="Supprimer {{$c->libelleCategorie}}" class="btn btn-effect-ripple btn-sm btn-danger"><i class="fa fa-times"></i></a>
                           </td>
                           <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                               <div class="modal-dialog" role="document">
                                   <div class="modal-content">
                                       <div class="modal-header" style="background-color: #1b4b72;color:white">
                                           <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de la catégorie {{$c->libelleCategorie}}</h5>
                                       </div>
                                       <div class="modal-body">
                                           <form method="post" action="{{route('updateTypeProduit',Crypt::encrypt($c->id))}}">
                                               @csrf
                                               <label>Libelle type de produit</label>
                                               <input type="text" name="libelle" value="{{$c->libelleCategorie}}" class="form-control" required><br>
                                               <label>Description</label>
                                               <textarea class="form-control" name="description">{{$c->description}}</textarea><br>
                                               <div class="modal-footer">
                                                   <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                   <input type="submit" class="btn btn-primary" value="Valider">
                                               </div>
                                           </form>
                                       </div>
                                   </div>
                               </div>
                           </div>
                       </tr>
                   @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une devise</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('addTypeProduit')}}">
                        @csrf
                        <label>Libelle type de produit</label>
                        <input type="text" name="libelle" class="form-control" required><br>
                        <label>Description</label>
                        <textarea class="form-control" name="description"></textarea><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection