@extends('Dash.app')
@section('title')
    Type de paiements
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un type de paiement
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle du type de paiement</th>
                <th>Description</th>
                <th>Frais</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
                @foreach($type as $i=>$t)
                    <tr>
                        <td>{{$i+1}}</td>
                        <td>{{$t->libellePaiement}}</td>
                        <td>{{$t->url}}</td>
                        <td>{{$t->frais}}
                           @php
                               $dev=\App\Devise::find($t->devise);
                           @endphp
                            @if($dev) {{$dev->signe}} @else inconnu @endif
                        </td>
                        <td class="text-center">
                            <a data-toggle="modal" data-target="#exampleModal{{$i}}" title="Modifier {{$t->libellePaiement}}" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                            <a onclick="return confirm('Voulez-vous supprimé ce type de paiement ?')" href="{{route('deleteTypeOperation',Crypt::encrypt($t->id))}}" data-toggle="tooltip" title="Supprimer {{$t->libellePaiement}}" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                        </td>
                        <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header" style="background-color: #1b4b72;color:white">
                                        <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification d'un type de paiement {{$t->libellePaiement}}</h5>
                                    </div>
                                    <div class="modal-body">
                                        <form method="post" action="{{route('updateTypePaiement',Crypt::encrypt($t->id))}}">
                                            @csrf
                                            <label>Libelle du type de paiement</label>
                                            <input type="text" value="{{$t->libellePaiement}}" class="form-control" required name="libelle"><br>
                                            <label>Description du poste</label>
                                            <textarea class="form-control" name="description">{{$t->description}}</textarea><br>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Devise</label>
                                                    <select class="form-control" required name="devise">
                                                        <option value="{{$t->devise}}">Cliquez pour changer @if($dev) {{$dev->signe}} @else inconnu @endif</option>
                                                        @foreach($devise as $d)
                                                            <option value="{{$d->id}}">{{$d->libelleDevise}}- {{$d->signe}}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Frais du type de paiement</label>
                                                    <input type="number" value="{{$t->frais}}" min="0" class="form-control" required name="frais">
                                                </div>
                                            </div>
                                            <br>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                <input type="submit" class="btn btn-primary" value="Valider">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </tr>
                @endforeach
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un type de paiement</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddTypePaiement')}}">
                        @csrf
                        <label>Libelle du type de paiement</label>
                        <input type="text" class="form-control" required name="libelle"><br>
                        <label>Description du poste</label>
                        <textarea class="form-control" name="description"></textarea><br>
                        <div class="row">
                            <div class="col-md-6">
                                <label>Devise</label>
                                <select class="form-control" required name="devise">
                                    <option value="">Cliquez</option>
                                    @foreach($devise as $d)
                                        <option value="{{$d->id}}">{{$d->libelleDevise}}- {{$d->signe}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>Frais du type de paiement</label>
                                <input type="number" min="0" class="form-control" required name="frais">
                            </div>
                        </div>
                        <br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection