@extends('Dash.app')
@section('title')
    Carte SEPA
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une Carte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Numero carte</th>
                <th>Solde</th>
                <th>Tutilaire</th>
                <th>Date Validité</th>
                <th>Etat</th>
                <th>Type de carte</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                  @foreach($carte as $i=>$c)
                      <tr>
                         <td>{{$i+1}}</td>
                          <td>{{$c->numeroCarte}}</td>
                          <td>{{$c->solde}} XOF</td>
                          <td>
                              @php
                                  $User=\App\User::find($c->idCompte);
                              @endphp
                              @if($User) {{$User->nomClient}} {{$User->prenomClient}} @else Inconnu @endif
                          </td>
                          <td>{{$c->DateValidite}}</td>
                          <td>
                              @if($c->etat==0)
                                  Bloqué
                              @else
                                Actif
                              @endif
                          </td>
                          <td>
                              @php
                                  $Type=\App\Typecarte::find($c->typeCarte);
                              @endphp
                              @if($Type) {{$Type->typeCarte}} @else inconnu @endif
                          </td>
                          <td>
                              <div class="btn-group dropup text-left">
                                  <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                  <ul class="dropdown-menu">
                                      @if($c->etat==0)
                                      <li><a onclick="confirm('Voulez-vous débloqué la carte ?')" href="{{route('ActiverCarteSepa',Crypt::encrypt($c->id))}}">Activer</a></li>
                                      @else
                                      <li><a onclick="confirm('Voulez-vous bloqué la carte ?')" href="{{route('BloqueCarteSepa',Crypt::encrypt($c->id))}}">Bloquer</a></li>
                                      @endif
                                      <li><a onclick="confirm('Voulez-vous supprimé la carte ?')" href="{{route('deleteCarteSepa',Crypt::encrypt($c->id))}}">Supprimer</a></li>
                                  </ul>
                              </div>
                          </td>
                      </tr>
                  @endforeach
           </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une carte SEPA </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('CreateCarte')}}">
                        @csrf
                        <label>Numero de la carte</label>
                        <div class="row">
                            <div class="col-md-3">
                                <input type="text" value="{{rand(1000,9999)}}" class="form-control" readonly name="n1">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="{{rand(1000,9999)}}" class="form-control" readonly name="n2">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="{{rand(1000,9999)}}" class="form-control" readonly name="n3">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="{{rand(1000,9999)}}" class="form-control" readonly name="n4">
                            </div>
                        </div><br>
                        <label>Type de carte</label>
                        <select class="form-control" required name="type">
                            <option value="">Cliquez</option>
                            @foreach($type as $t)
                                <option value="{{$t->id}}">{{$t->typeCarte}}</option>
                            @endforeach
                        </select><br>
                       <div class="row">
                           <div class="col-md-4">
                               <label>Date Expiration</label>
                               <input type="date" class="form-control" name="dateExpiration" required>
                           </div>
                           <div class="col-md-8">
                               <label>E-mail du client</label>
                               <input type="text" class="form-control" name="email" required>
                           </div>
                       </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection