@extends('Dash.app')
@section('title')
    Type de compte
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un type de compte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle type compte</th>
                <th>Description</th>
                <th></th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                  @foreach($type as $i=>$t)
                      <tr>
                          <td>{{$i+1}}</td>
                          <td>{{$t->typeCompte}}</td>
                          <td>{{$t->description}}</td>
                          <td></td>
                          <td class="text-center">
                              <a data-toggle="modal" data-target="#exampleModal{{$t->id}}" title="Modifier {{$t->typeCompte}}" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                              <a onclick="confirm('Voulez-vous supprimé ce type de compte ?')" href="{{route('deleteTypeAccount',Crypt::encrypt($t->id))}}" data-toggle="tooltip" title="Supprimer {{$t->typeCompte}}" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                          </td>
                          <div class="modal fade" id="exampleModal{{$t->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                      <div class="modal-header" style="background-color: #1b4b72;color:white">
                                          <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du type de compte {{$t->typeCompte}}</h5>
                                      </div>
                                      <div class="modal-body">
                                          <form method="post" action="{{route('UpdateTypeAccount',Crypt::encrypt($t->id))}}">
                                              @csrf
                                              <label>Libelle type du compte</label>
                                              <input type="text" value="{{$t->typeCompte}}" class="form-control" required name="libelle"><br>
                                              <label>Description</label>
                                              <textarea class="form-control" required name="description" type="text">{{$t->description}}</textarea><br>
                                              <div class="modal-footer">
                                                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                  <input type="submit" class="btn btn-primary" value="Modifier">
                                              </div>
                                          </form>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </tr>
                  @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un type de compte</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddTypeAccount')}}">
                        @csrf
                        <label>Libelle type du compte</label>
                        <input type="text" class="form-control" required name="libelle"><br>
                        <label>Description</label>
                        <textarea class="form-control" required name="description" type="text"></textarea><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection