@extends('Dash.app')
@section('title')
    Banques
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une Banque
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom Banque</th>
                <th>Adresse</th>
                <th>Email</th>
                <th>IBN</th>
                <th>BIC</th>
                <th>Code Swift</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
            @foreach($banque as $i=>$b)
            <tr>
                <td class="text-center">{{$i+1}}</td>
                <td>{{$b->nomBanque}}</td>
                <td>{{$b->adresseBanque}}</td>
                <td>{{$b->mailBanque}}</td>
                <td><strong>{{$b->IBN}}</strong></td>
                <td>{{$b->BIC}}</td>
                <td><span class="label label-info">{{$b->CodeSWIFT}}</span></td>
                <td class="text-center">
                    <a data-toggle="modal" data-target="#exampleModal{{$b->id}}" title="Modifier {{$b->nomBanque}}" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                    <a onclick="confirm('Voulez-vous supprimé la banque ?')" href="{{route('deleteBanque',Crypt::encrypt($b->id))}}" data-toggle="tooltip" title="Supprimer {{$b->nomBanque}}" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                </td>
                <div class="modal fade" id="exampleModal{{$b->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header" style="background-color: #1b4b72;color:white">
                                <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de la banque {{$b->nomBanque}}</h5>
                            </div>
                            <div class="modal-body">
                                <form method="post" action="{{route('UpdateBanque',Crypt::encrypt($b->id))}}">
                                    @csrf
                                    <label>Nom de la banque</label>
                                    <input type="text" value="{{$b->nomBanque}}" class="form-control" required name="banque"><br>
                                    <label>E-mail de la banque</label>
                                    <input type="email" value="{{$b->mailBanque}}" class="form-control" required name="email"><br>
                                    <label>Adresse de la banque</label>
                                    <input type="text" value="{{$b->adresseBanque}}" class="form-control" required name="adresse"><br>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <label>IBN</label>
                                            <input type="text" value="{{$b->IBN}}" class="form-control" required name="ibn">
                                        </div>
                                        <div class="col-md-6">
                                            <label>BIC</label>
                                            <input type="text" value="{{$b->BIC}}" class="form-control" required name="bic">
                                        </div>
                                    </div><br>
                                    <label>Code Swift</label>
                                    <input type="text" class="form-control" value="{{$b->CodeSWIFT}}" required name="swift"><br>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                        <input type="submit" class="btn btn-primary" value="Modifier">
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </tr>
           @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une banque</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddBanque')}}">
                        @csrf
                        <label>Nom de la banque</label>
                        <input type="text" class="form-control" required name="banque"><br>
                        <label>E-mail de la banque</label>
                        <input type="email" class="form-control" required name="email"><br>
                        <label>Adresse de la banque</label>
                        <input type="text" class="form-control" required name="adresse"><br>
                        <div class="row">
                            <div class="col-md-6">
                                <label>IBN</label>
                                <input type="text" class="form-control" required name="ibn">
                            </div>
                            <div class="col-md-6">
                                <label>BIC</label>
                                <input type="text" class="form-control" required name="bic">
                            </div>
                        </div><br>
                        <label>Code Swift</label>
                        <input type="text" class="form-control" required name="swift"><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection