@extends('Dash.app')
@section('title')
    Clients
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Client
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>E-mail</th>
                <th>Contact</th>
                <th>Adresse</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
            @foreach($Client as $i=>$u)
                <tr>
                    <td>{{$i+1}}</td>
                    <td>{{$u->nomClient}} {{$u->prenomClient}}</td>
                    <td>{{$u->email}}</td>
                    <td>{{$u->contactClient}}</td>
                    <td>{{$u->adresseClient}}</td>
                    <td>
                        @if($u->statusClient==0) Bloqué @else Actif @endif
                    </td>
                    <td>
                        <div class="btn-group dropup text-left">
                            <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li><a data-toggle="modal" data-target="#exampleModal{{$i}}">Modifier</a></li>
                                <li><a href="{{route('deleteClient',Crypt::encrypt($u->id))}}">Supprimer</a></li>
                            </ul>
                        </div>
                    </td>
                    <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header" style="background-color: #1b4b72;color:white">
                                    <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de {{$u->nomClient}} {{$u->prenomClient}}</h5>
                                </div>
                                <div class="modal-body">
                                    <form method="post" action="{{route('UpdateClient',Crypt::encrypt($u->id))}}">
                                        @csrf
                                        <div class="row">
                                            <div class="col-md-6">
                                                <label>Nom du client</label>
                                                <input type="text" value="{{$u->nomClient}}" class="form-control" required name="nom"><br>
                                                <label>Prenom du client</label>
                                                <input type="text" value="{{$u->prenomClient}}" class="form-control" required name="prenom"><br>
                                                <label>Adresse</label>
                                                <input type="text"  value="{{$u->adresseClient}}" class="form-control" required name="adresse"><br>
                                                <label>Contact</label>
                                                <input value="{{$u->contactClient}}" type="text" class="form-control" required name="contact"><br>
                                                <label>Société client</label>
                                                <input type="text" value="{{$u->societeClient}}" class="form-control" required name="societe"><br>
                                            </div>
                                            <div class="col-md-6">
                                                <label>Status compte</label>
                                                <select class="form-control" name="status">
                                                    <option value="{{$u->statusClient}}">Cliquez pour changer le status @if($u->statusClient==0) Bloqué @else Actif @endif</option>
                                                    <option value="1">Débloqué</option>
                                                    <option value="0">Bloqué</option>
                                                </select><br>
                                                <label>Pays résident</label>
                                                <input type="text" value="{{$u->paysClient}}" class="form-control" required name="pays"><br>
                                                <label>Ville</label>
                                                <input type="text" value="{{$u->villeClient}}" class="form-control" required name="ville"><br>
                                                <label>E-mail</label>
                                                <input type="email" value="{{$u->email}}" class="form-control" required name="email"><br>
                                                <label>Code postal du client</label>
                                                <input type="text" value="{{$u->codePostalClient}}" class="form-control" placeholder="Optionnel" name="postale"><br>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-success" data-dismiss="modal">Annuler</button>
                                                    <input type="submit" class="btn btn-primary" value="Valider">
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un client </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddClient')}}">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <label>N°CIB du client</label>
                                <input type="text" class="form-control" required readonly name="cib" value="{{rand(100,999)}}-{{rand(350,99999)}}"><br>
                                <label>Nom du client</label>
                                <input type="text" class="form-control" required name="nom"><br>
                                <label>Prenom du client</label>
                                <input type="text" class="form-control" required name="prenom"><br>
                                <label>Adresse</label>
                                <input type="text" class="form-control" required name="adresse"><br>
                                <label>Contact</label>
                                <input type="text" class="form-control" required name="contact"><br>
                                <b style="color:red">Mot de passe par défaut 1234.</b>
                            </div>
                            <div class="col-md-6">
                                <label>Société client</label>
                                <input type="text" class="form-control" required name="societe"><br>
                                <label>Pays résident</label>
                                <select class="form-control" required name="pays">
                                    <option value="">Cliquez pour choisir</option>
                                    @foreach($Pays as $pays)
                                        <option value="{{$pays->id}}">{{$pays->nom_fr_fr}}</option>
                                    @endforeach
                                </select><br>
                                <label>Ville</label>
                                <input type="text" class="form-control" required name="ville"><br>
                                <label>E-mail</label>
                                <input type="email" class="form-control" required name="email"><br>
                                <label>Code postal du client</label>
                                <input type="text" class="form-control" placeholder="Optionnel" name="postale"><br>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                    <input type="submit" class="btn btn-primary" value="Valider">
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection