@extends('Dash.app')
@section('title')
    Chèques
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un chèque
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <td>#</td>
                <th class="text-center">Code opération</th>
                <th>Client</th>
                <th>Montant</th>
                <th>Bénéficiaire</th>
                <th>Date et Heure</th>
                <th>Chargé</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
               @foreach($cheque as $i=>$c)
                   <tr>
                       <td>{{$i+1}}</td>
                       <td>{{$c->numero}}</td>
                       <td>
                           @php
                                   $Banque=\App\Account::find($c->idCompte);
                                   $Client=\App\User::find($Banque->idClient);
                                   $Agent=\App\User::find($c->idCharge);
                           @endphp
                           @if($Client) {{$Client->nomClient}} {{$Client->prenomClient}} @else inconnu @endif
                       </td>
                       <td>{{$c->montant}}</td>
                       <td>{{$c->beneficiaire}}</td>
                       <td>{{$c->created_at}}</td>
                       <td>
                           @if($Agent) {{$Agent->nomClient}} {{$Agent->prenomClient}} @else inconnu @endif
                       </td>
                       <td>
                           @if($c->etat==0) En-entente @else Bouclé @endif
                       </td>
                       <td>
                           @if($c->etat==0)
                           <div class="btn-group dropup text-left">
                               <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                               <ul class="dropdown-menu">
                                   <li><a href="{{route('boucleChequeTransaction',Crypt::encrypt($c->id))}}">Bouclé</a></li>
                                   <li><a data-toggle="modal" data-target="#exampleModal{{$i}}">Modifier</a></li>
                                   <li><a href="{{route('SupprimerChequeTransaction',Crypt::encrypt($c->id))}}">Annulé</a></li>
                               </ul>
                           </div>
                               @endif
                       </td>
                       <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du chèque @if($Client) {{$Client->nomClient}} {{$Client->prenomClient}} @else inconnu @endif</h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="{{route('UpdateChequeOperation',Crypt::encrypt($c->id))}}">
                                           @csrf
                                           <label>Montant</label>
                                           <input type="number" min="0" value="{{$c->montant}}" class="form-control" required name="montant"><br>
                                           <label>Bénéficiaire</label>
                                           <input type="text" class="form-control" value="{{$c->beneficiaire}}" required name="beneficiaire"><br>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               @endforeach
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un chèque</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('addChequeOperation')}}">
                        @csrf
                        <label>Numero du compte du client</label>
                        <div class="row">
                            <div class="col-md-6">
                                <input type="text" class="form-control" required name="n1">
                            </div>
                            <div class="col-md-6">
                                <input type="text" class="form-control" required name="n2">
                            </div>
                        </div><br>
                        <label>Montant</label>
                        <input type="number" min="0" class="form-control" required name="montant"><br>
                       <label>Bénéficiaire</label>
                        <input type="text" class="form-control" required name="beneficiaire"><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection