@extends('Dash.app')
@section('title')
   Devises
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une Devise
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle devise</th>
                <th></th>
                <th>Représentation devise</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                 @foreach($Devise as $i=>$d)
                     <tr>
                         <td>{{$i+1}}</td>
                         <td>{{$d->libelleDevise}}</td>
                         <td></td>
                         <td>{{$d->signe}}</td>
                         <td class="text-center">
                             <a data-toggle="modal" data-target="#exampleModal{{$i}}" title="Modifier {{$d->libelleDevise}}" class="btn btn-effect-ripple btn-sm btn-success"><i class="fa fa-pencil"></i></a>
                             <a onclick="return confirm('Voulez-vous supprimer cette devise ?')" href="{{route('deleteDevise',Crypt::encrypt($d->id))}}" data-toggle="tooltip" title="Supprimer {{$d->libelleDevise}}" class="btn btn-effect-ripple btn-sm btn-danger"><i class="fa fa-times"></i></a>
                         </td>
                         <div class="modal fade" id="exampleModal{{$i}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de la devise {{$d->libelleDevise}}</h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="{{route('updateDevise',Crypt::encrypt($d->id))}}">
                                             @csrf
                                             <label>Libelle devise</label>
                                             <input type="text" value="{{$d->libelleDevise}}" name="devise" class="form-control" required><br>
                                             <label>Représentation de la devise</label>
                                             <input value="{{$d->signe}}" type="text" name="signe" class="form-control" required><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 @endforeach
           </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une devise</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddDevise')}}">
                        @csrf
                         <label>Libelle devise</label>
                        <input type="text" name="devise" class="form-control" required><br>
                        <label>Représentation de la devise</label>
                        <input type="text" name="signe" class="form-control" required><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection