@extends('Dash.app')
@section('title')
    Fournisseurs
@endsection
@section('content')
    <!-- Button trigger modal -->
    @php
       $fournisseur=\App\Fournisseur::all();
    @endphp
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <a class="btn btn-success" href="{{route('Fournisseur')}}">Ajouter un fournisseur</a><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom société fournisseur</th>
                <th>Nom Fournisseur</th>
                <th>Adresse fournisseur</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                 @foreach($fournisseur as $i=>$f)
                     <tr>
                         <td>{{$i+1}}</td>
                         <td>{{$f->nomFourniseur}}</td>
                         <td>
                             @php
                                $User=\App\User::find($f->idCompte);
                             @endphp
                             @if($User) {{$User->nomClient}} {{$User->prenomClient}} @else inconnu @endif
                         </td>
                         <td>{{$f->adresseFourniseur}}</td>
                         <td class="text-center">
                             <a data-toggle="modal" data-target="#exampleModal{{$f->id}}" title="Modifier {{$f->nomFourniseur}}" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                             <a onclick="return confirm('Voulez-vous supprimé ce fournisseur ?')" href="{{route('deleteFournisseur',Crypt::encrypt($f->id))}}" data-toggle="tooltip" title="Supprimer {{$f->nomFourniseur}}" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                         </td>
                         <div class="modal fade" id="exampleModal{{$f->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de {{$f->nomFourniseur}}</h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="{{route('updateFournisseur',Crypt::encrypt($f->id))}}">
                                             @csrf
                                             <label>Nom etablissement du fournisseur</label>
                                             <input type="text" value="{{$f->nomFourniseur}}" required class="form-control" name="fournisseur"><br>
                                             <label>Adresse de l'établissement</label>
                                             <input type="text" value="{{$f->adresseFourniseur}}" required class="form-control" name="adresse"><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-success" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 @endforeach
           </tbody>
        </table>
    </div>
@endsection